/**
  * 房
*/
import { getRequest, getRequestNoSort } from '@/utils/request'

export default {
  admfacilitylist: params => { // 公共配套 列表接口
    return getRequest('/adm/facility/list', params)
  },
  admfacilityadd: params => { // 公共配套 添加
    return getRequestNoSort('/adm/facility/add', params, 'loading')
  },
  admfacilityedit: params => { // 公共配套 编辑
    return getRequestNoSort('/adm/facility/edit', params, 'loading')
  },
  admfacilitydetail: params => { // 公共配套 详情
    return getRequestNoSort('/adm/facility/detail', params, 'loading')
  },
  admfacilitydel: params => { // 公共配套 删除
    return getRequestNoSort('/adm/facility/del', params, 'loading')
  },
  admsalerulelist: params => { // 销售积分规则 - 洪楼分 列表接口
    return getRequest('/adm/sale/rule/list', params)
  },
  admsaleruleadd: params => { // 销售积分规则 - 洪楼分 添加
    return getRequestNoSort('/adm/sale/rule/add', params, 'loading')
  },
  admsaleruleedit: params => { // 销售积分规则 - 洪楼分 编辑
    return getRequestNoSort('/adm/sale/rule/edit', params, 'loading')
  },
  admsaleruledetail: params => { // 销售积分规则 - 洪楼分 详情
    return getRequestNoSort('/adm/sale/rule/detail', params, 'loading')
  },
  admsaleruledel: params => { // 销售积分规则 - 洪楼分 删除
    return getRequestNoSort('/adm/sale/rule/del', params, 'loading')
  },
}
